# Get a Money Flow List

# Dxplaination of Interface Call Request

http请求方式:POST
https://api.weixin.qq.com/product/funds/scanorderflow?access_token=xxxxxxxxx

# Example of request parameters

{
    "page_num": 1,  
    "page_size": 100 
}

# Examples of back-up

{
    "order_flow": [{
        "order_id": 123456789123,
            "status": "ORDER_FLOW_STATUS_TRANSACTION_PENDING_SETTLED",
            "price": 1,
            "order_price": 1,
            "discount_fee": 0,
            "service_fee": 0,
            "handling_fee": 0,
            "refund_fee": 0,
            "settled_time": 0,
            "order_time": 1625834352,
            "refunding_type": 0
    }, {
        "order_id": 12345678229,
            "status": "ORDER_FLOW_STATUS_TRANSACTION_PENDING_SETTLED",
            "price": 1,
            "order_price": 1,
            "discount_fee": 0,
            "service_fee": 0,
            "handling_fee": 0,
            "refund_fee": 0,
            "settled_time": 0,
            "order_time": 1625832229,
            "refunding_type": 0
    }]  
}

# Dxplaination of request parameters

参数 type Is it compulsory? Introductions
page_num number yes page number
page_size number yes The data size per page must be less than or equal to 100

# Dxplaination of callback parameters

参数 type Introductions
errcode number Error code
errmsg string Error message
total_page number Total Pages
total_num number Total number
order_flow[].order_id number order number
order_flow[].status number Status of funds
order_flow[].price number The amount of money earned by the business
order_flow[].order_price number Total Order Amount
order_flow[].discount_fee number Discounted Amount
order_flow[].service_fee number service charge
order_flow[].handling_fee number Handling Fee
order_flow[].refund_fee number Refund Amount
order_flow[].settled_time number Settlement time
order_flow[].order_time number When to place your order
order_flow[].refunding_type number Type of refund

# Enumerate status

枚举值 describe String mapping
1 The transaction failed. ORDER_FLOW_STATUS_TRANSACTION_FAIL
2 The transaction was successful. ORDER_FLOW_STATUS_TRANSACTION_SUC
3 A transactional anomaly ORDER_FLOW_STATUS_TRANSACTION_ERR
4 To be settled ORDER_FLOW_STATUS_TRANSACTION_PENDING_SETTLED

# Return code

返回码 Error Type
-1 System exceptions